### A free/open-source library for quantitative finance

LocalVolTermStructure Class Reference

`#include <ql/termstructures/volatility/equityfx/localvoltermstructure.hpp>`

Inheritance diagram for LocalVolTermStructure:
[legend]

List of all members.

## Public Member Functions

Constructors
See the TermStructure documentation for issues regarding constructors.
| LocalVolTermStructure (const Calendar &cal, BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| LocalVolTermStructure (BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| default constructor
| LocalVolTermStructure (const Date &referenceDate, const Calendar &cal=Calendar(), BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| initialize with a fixed reference date
| LocalVolTermStructure (Natural settlementDays, const Calendar &, BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| calculate the reference date based on the global evaluation date
Local Volatility
Volatility | localVol (const Date &d, Real underlyingLevel, bool extrapolate=false) const
Volatility | localVol (Time t, Real underlyingLevel, bool extrapolate=false) const
Visitability
virtual void | accept (AcyclicVisitor &)

## Protected Member Functions

Calculations
These methods must be implemented in derived classes to perform the actual volatility calculations. When they are called, range check has already been performed; therefore, they must assume that extrapolation is required.
virtual Volatility | localVolImpl (Time t, Real strike) const =0
| local vol calculation

## Detailed Description

This abstract class defines the interface of concrete local-volatility term structures which will be derived from this one.

Volatilities are assumed to be expressed on an annual basis.

## Constructor & Destructor Documentation

LocalVolTermStructure | ( | const Calendar & | cal,
|  | BusinessDayConvention | bdc = `Following`,
|  | const DayCounter & | dc = `DayCounter()`
| ) |  |

Warning:
  term structures initialized by means of this constructor must manage their own reference date by overriding the referenceDate() method.

LocalVolTermStructure | ( | BusinessDayConvention | bdc = `Following`,
|  | const DayCounter & | dc = `DayCounter()`
| ) |  |

default constructor

Warning:
  term structures initialized by means of this constructor must manage their own reference date by overriding the referenceDate() method.